summaryrefslogtreecommitdiffstats
path: root/gnu/usr.bin/dialog/TESTS/yesno
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/dialog/TESTS/yesno')
-rwxr-xr-xgnu/usr.bin/dialog/TESTS/yesno21
1 files changed, 21 insertions, 0 deletions
diff --git a/gnu/usr.bin/dialog/TESTS/yesno b/gnu/usr.bin/dialog/TESTS/yesno
new file mode 100755
index 0000000..2282893
--- /dev/null
+++ b/gnu/usr.bin/dialog/TESTS/yesno
@@ -0,0 +1,21 @@
+#!/bin/sh
+DIALOG=${DIALOG=/usr/bin/dialog}
+
+$DIALOG --title "YES/NO BOX" --clear \
+ --yesno "Hi, this is a yes/no dialog box. You can use this to ask \
+ questions that have an answer of either yes or no. \
+ BTW, do you notice that long lines will be automatically \
+ wrapped around so that they can fit in the box? You can \
+ also control line breaking explicitly by inserting \
+ 'backslash n' at any place you like, but in this case, \
+ auto wrap around will be disabled and you will have to \
+ control line breaking yourself." 15 61
+
+case $? in
+ 0)
+ echo "Yes chosen.";;
+ 1)
+ echo "No chosen.";;
+ 255)
+ echo "ESC pressed.";;
+esac
OpenPOWER on IntegriCloud